org.apache.solr.index

## Class WrapperMergePolicyFactory

- java.lang.Object
- - org.apache.solr.index.MergePolicyFactory
  - - org.apache.solr.index.WrapperMergePolicyFactory

- Direct Known Subclasses:
    SortingMergePolicyFactory, UpgradeIndexMergePolicyFactory

      public abstract class WrapperMergePolicyFactory
      extends MergePolicyFactory

  A `MergePolicyFactory` for wrapping additional `factories`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String[]` | `NO_SUB_PACKAGES`

    - ### Fields inherited from class org.apache.solr.index.MergePolicyFactory

      `args, resourceLoader, schema`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WrapperMergePolicyFactory(SolrResourceLoader resourceLoader, MergePolicyFactoryArgs args, IndexSchema schema)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MergePolicy` | `getDefaultWrappedMergePolicy()` Returns the default wrapped `MergePolicy`.
    `MergePolicy` | `getMergePolicy()` Returns a wrapping `MergePolicy` with its set parameters configured.
    `protected abstract MergePolicy` | `getMergePolicyInstance(MergePolicy wrappedMP)` Returns an instance of the wrapping `MergePolicy` without configuring its set parameters.
    `protected MergePolicy` | `getWrappedMergePolicy()` Returns an instance of the wrapped `MergePolicy` after it has been configured with all set parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_SUB_PACKAGES

          protected static final String[] NO_SUB_PACKAGES

  - ### Constructor Detail

    - #### WrapperMergePolicyFactory

          protected WrapperMergePolicyFactory(SolrResourceLoader resourceLoader,
                                              MergePolicyFactoryArgs args,
                                              IndexSchema schema)

  - ### Method Detail

    - #### getDefaultWrappedMergePolicy

          protected MergePolicy getDefaultWrappedMergePolicy()

      Returns the default wrapped `MergePolicy`. This is called if the factory settings do not explicitly specify the wrapped policy.

    - #### getWrappedMergePolicy

          protected final MergePolicy getWrappedMergePolicy()

      Returns an instance of the wrapped `MergePolicy` after it has been configured with all set parameters.

    - #### getMergePolicyInstance

          protected abstract MergePolicy getMergePolicyInstance(MergePolicy wrappedMP)

      Returns an instance of the wrapping `MergePolicy` without configuring its set parameters.

    - #### getMergePolicy

          public final MergePolicy getMergePolicy()

      Returns a wrapping `MergePolicy` with its set parameters configured.
      Specified by:
        `getMergePolicy` in class `MergePolicyFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.